### Constructor

# Ide Surface new

#### Declaration

    GtkWidget*
    ide_surface_new (
      void
    )

#### Description

Creates a new `IdeSurface`.

Surfaces contain the main window contents that are placed inside of an `IdeWorkspace` (window). You may have multiple surfaces in a workspace, and the user can switch between them.

Available since: | 3.32

#### Return value

Returns: | `GtkWidget`
| An `IdeSurface` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.